Bug 186739 - Soundblaster Audigy SE - white noise instead of audio.
Soundblaster Audigy SE - white noise instead of audio.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 17:46 EST by Sam Varshavchik
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 20:59:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2006-03-25 17:46:59 EST
Kernel 2.6.15-1.1833_FC4smp

The box says it's a "Soundblaster Audigy SE".  lspci shows it as "00:11.0
Multimedia audio controller: Creative Labs SB Audigy LS".

system-config-soundcard selects "snd-ca0106" driver.  Playing a test sound
generates white noise.

Mixer shows no controls.  scsound.log:


------- System Config Soundcard --------
Sat Mar 25 17:46:04 EST 2006

------- lspci --------
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0b.0 Multimedia video controller: Internext Compression Inc iTVC15 MPEG-2
Encoder (rev 01)
00:0d.0 SCSI storage controller: Adaptec AHA-2940U2/U2W
00:0f.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
00:11.0 Multimedia audio controller: Creative Labs SB Audigy LS
00:13.0 Mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372/372N (rev 01)
00:13.1 Mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372/372N (rev 01)
01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)

------- lsmod --------
Module                  Size  Used by
ipv6                  273825  76 
parport_pc             31877  1 
lp                     16905  0 
parport                39561  2 parport_pc,lp
autofs4                23621  1 
rfcomm                 45781  0 
l2cap                  33345  5 rfcomm
bluetooth              56741  4 rfcomm,l2cap
sunrpc                150397  1 
ipt_REJECT             10049  1 
ipt_state               5953  4 
ip_conntrack           57625  1 ipt_state
nfnetlink              10585  1 ip_conntrack
iptable_filter          7105  1 
ip_tables              25409  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 61273  0 
uhci_hcd               37073  0 
ivtv_fb                37476  0 
tda9887                18192  0 
msp3400                37105  0 
saa7127                15957  0 
saa7115                19281  0 
tuner                  26408  0 
tveeprom               16300  0 
ivtv                  210708  1 ivtv_fb
i2c_algo_bit           13257  1 ivtv
videodev               13633  1 ivtv
i2c_piix4              13009  0 
i2c_core               25793  9
tda9887,msp3400,saa7127,saa7115,tuner,tveeprom,ivtv,i2c_algo_bit,i2c_piix4
snd_ca0106             36965  0 
snd_rawmidi            28897  1 snd_ca0106
snd_ac97_codec         92129  1 snd_ca0106
snd_seq_dummy           7749  0 
snd_seq_oss            36161  0 
snd_seq_midi_event     11073  1 snd_seq_oss
snd_seq                54993  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         13005  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            54513  0 
snd_mixer_oss          21953  1 snd_pcm_oss
snd_pcm                91205  3 snd_ca0106,snd_ac97_codec,snd_pcm_oss
snd_timer              28997  2 snd_seq,snd_pcm
snd                    58917  10
snd_ca0106,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              13857  1 snd
snd_ac97_bus            6465  1 snd_ac97_codec
snd_page_alloc         14921  2 snd_ca0106,snd_pcm
ne2k_pci               15008  0 
8390                   15045  1 ne2k_pci
floppy                 66181  0 
sr_mod                 21989  0 
ext3                  135241  2 
jbd                    62037  1 ext3
aic7xxx               154229  3 
scsi_transport_spi     25153  1 aic7xxx
sd_mod                 23105  4 
scsi_mod              139497  4 sr_mod,aic7xxx,scsi_transport_spi,sd_mod

------- /etc/modprobe.conf --------
alias eth0 ne2k-pci
alias scsi_hostadapter aic7xxx
alias usb-controller uhci-hcd

alias char-major-81 ivtv
alias char-major-81-0 ivtv
install ivtv /sbin/modprobe --ignore-install ivtv; /sbin/modprobe ivtv-fb

------- /etc/asound.conf --------
#Generated by system-config-soundcard, do not edit by hand
#HWCONF
#DEV 0
pcm.!default { type hw card 0 device 0 } 
ctl.!default { type hw card 0 }

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: CA0106 [CA0106], device 0: ca0106 [CA0106]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: CA0106 [CA0106], device 1: ca0106 [CA0106]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: CA0106 [CA0106], device 2: ca0106 [CA0106]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: CA0106 [CA0106], device 3: ca0106 [CA0106]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------
Simple mixer control 'AC97 in',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'Analog Center/LFE',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 235 [92%]
  Front Right: Playback 235 [92%]
Simple mixer control 'Analog Front',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 191 [75%]
  Front Right: Playback 191 [75%]
Simple mixer control 'Analog Rear',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 191 [75%]
  Front Right: Playback 191 [75%]
Simple mixer control 'Analog Side',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'CAPTURE feedback',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'SPDIF Center/LFE',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'SPDIF Front',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'SPDIF Out',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'SPDIF Rear',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'SPDIF Unknown',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'SPDIF in',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'SPDIF out',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'SRC out',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]
Simple mixer control 'i2s in',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [on]
Simple mixer control 'i2s mixer out',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Mono
  Mono: Capture [off]

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.10rc3 (Mon Nov 07 13:30:21
2005 UTC).

------- /proc/asound/modules --------
0 snd_ca0106

------- /proc/asound/pcm --------
00-00: ca0106 : CA0106 : playback 1 : capture 1
00-01: ca0106 : CA0106 : playback 1 : capture 1
00-02: ca0106 : CA0106 : playback 1 : capture 1
00-03: ca0106 : CA0106 : playback 1 : capture 1

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:174: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
Card 0 Driver snd_ca0106...
Unmuting ...
Unmuting snd_ca0106...
Play. Volume analog front(0) to 191
Play. Volume analog front(1) to 191
Play. Volume analog rear(0) to 191
Play. Volume analog rear(1) to 191
Play. Switch spdif out(0) to 0
Cap. Switch spdif out(0) to 0
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
Comment 1 Sam Varshavchik 2006-03-25 18:07:12 EST
This might be a known kernel bug that's fixed in 2.6.16

http://lwn.net/Articles/168026/

James Courtier-Dutton:

      [ALSA] snd-ca0106: Fixes sound output for Creative Audigy SE aka.SB0570.

Comment 2 Martin Stransky 2006-03-27 08:24:39 EST
Support for this card has been added recently, you can check the latest ALSA
drivers, how-to is here - http://people.redhat.com/stransky/alsa/
Comment 3 Sam Varshavchik 2006-03-27 20:59:59 EST
Thanks!  Installing alsa-driver-1.0.11rc4 did the trick.  I only needed to
update the kernel drivers, updating usermode stuff wasn't necessary.  Now I get
to watch/listen the Rangers losing on home ice in glorious MythTV-generated
stereo sound...

Looking forward to the updated drivers errata.

Note You need to log in before you can comment on or make changes to this bug.